org.modeshape.jcr.query.model

## Class QueryObjectModel

- java.lang.Object
- - org.modeshape.jcr.query.JcrAbstractQuery
  - - org.modeshape.jcr.query.JcrQuery
    - - org.modeshape.jcr.query.model.QueryObjectModel

- All Implemented Interfaces:
    QueryObjectModel, Query

      public class QueryObjectModel
      extends JcrQuery
      implements QueryObjectModel

  Implementation of `QueryObjectModel` that represents a `select query`.

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.JcrAbstractQuery

      `context, language, statement`

    - ### Fields inherited from interface javax.jcr.query.Query

      `JCR_JQOM, JCR_SQL2, SQL, XPATH`

    - ### Fields inherited from interface org.modeshape.jcr.api.query.Query

      `FULL_TEXT_SEARCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryObjectModel(JcrQueryContext context, String statement, String language, SelectQuery query, PlanHints hints, Path storedAtPath)` Creates a new JCR `Query` by specifying the query statement itself, the language in which the query is stated, the `QueryCommand` representation and, optionally, the node from which the query was loaded.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Column[]` | `getColumns()`
    `Constraint` | `getConstraint()`
    `Ordering[]` | `getOrderings()`
    `Source` | `getSource()`
    `protected SelectQuery` | `query()`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQuery

      `bindValue, cancel, execute, explain, getAbstractQueryModel, getAbstractQueryModelRepresentation, getBindVariableNames, includeSystemContent, setLimit, setOffset, toString, variableNames`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrAbstractQuery

      `checkForProblems, context, getLanguage, getStatement, getStoredQueryPath, pathFor, storeAsNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jcr.query.Query

      `bindValue, execute, getBindVariableNames, getLanguage, getStatement, getStoredQueryPath, setLimit, setOffset, storeAsNode`

- - ### Constructor Detail

    - #### QueryObjectModel

          public QueryObjectModel(JcrQueryContext context,
                          String statement,
                          String language,
                          SelectQuery query,
                          PlanHints hints,
                          Path storedAtPath)

      Creates a new JCR `Query` by specifying the query statement itself, the language in which the query is stated, the `QueryCommand` representation and, optionally, the node from which the query was loaded. The language must be a string from among those returned by `QueryManager#getSupportedQueryLanguages()`.
      Parameters:
        `context` - the context that was used to create this query and that will be used to execute this query; may not be null
        `statement` - the original statement as supplied by the client; may not be null
        `language` - the language obtained from the `QueryParser`; may not be null
        `query` - the parsed query representation; may not be null
        `hints` - any hints that are to be used; may be null if there are no hints
        `storedAtPath` - the path at which this query was stored, or null if this is not a stored query

  - ### Method Detail

    - #### query

          protected SelectQuery query()

      Overrides:
        `query` in class `JcrQuery`

    - #### getSource

          public Source getSource()

      Specified by:
        `getSource` in interface `QueryObjectModel`

    - #### getConstraint

          public Constraint getConstraint()

      Specified by:
        `getConstraint` in interface `QueryObjectModel`

    - #### getColumns

          public Column[] getColumns()

      Specified by:
        `getColumns` in interface `QueryObjectModel`

    - #### getOrderings

          public Ordering[] getOrderings()

      Specified by:
        `getOrderings` in interface `QueryObjectModel`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.